package xunji_service

import (
	"net/http"

	"github.com/zeromicro/go-zero/rest/httpx"

	"wechat-api/internal/logic/xunji_service"
	"wechat-api/internal/svc"
	"wechat-api/internal/types"
)

// swagger:route post /xunji_service xunji_service GetXunjiServiceById
//
// Get xunji service by ID | 通过ID获取XunjiService
//
// Get xunji service by ID | 通过ID获取XunjiService
//
// Parameters:
//  + name: body
//    require: true
//    in: body
//    type: IDReq
//
// Responses:
//  200: XunjiServiceInfoResp

func GetXunjiServiceByIdHandler(svcCtx *svc.ServiceContext) http.HandlerFunc {
	return func(w http.ResponseWriter, r *http.Request) {
		var req types.IDReq
		if err := httpx.Parse(r, &req, true); err != nil {
			httpx.ErrorCtx(r.Context(), w, err)
			return
		}

		l := xunji_service.NewGetXunjiServiceByIdLogic(r.Context(), svcCtx)
		resp, err := l.GetXunjiServiceById(&req)
		if err != nil {
			httpx.ErrorCtx(r.Context(), w, err)
		} else {
			httpx.OkJsonCtx(r.Context(), w, resp)
		}
	}
}
